A Raspberry Pi-compatible PCB that extends the GPIO header with protected I/O, relays, and various features for versatile use in prototyping and project development.
---

**Notes:**  

# Name
- Pi-multipurpose-Adapter
- Pi-multi-function-adapter
- Pi-extension-board

- universal-Pi-interface-board
- pi-peripheral-interface
- raspberry-extension-board
- Pi-protected-connection-hub



# RPI Specs (Zero, 3+)
- Available (old) Pi: Raspberry Pi 2 Modell B v1.1 
- GPIO
  - Low: 0.9V
  - High: 1.6V
  - Input current: 5uA
  - Input capacitance: 5pF
  - Output Current +-17mA
  - Pullup / Pulldown 50-65k

- EEPROM GPIO0 GPIO1, leave unused



# Feature Ideas
## Supply
- Input protection
  - TVS
  - reverse polarity
  - Fuse
  - buffer
- Pass through power supply
- 3.3V, 5V, 12V, 24V Regulator

- power by barrel connector (24V 3A)
- power by usb
  - Switch between power by USB or power supply?
- power by battery
  - liion cell connector
  - BMS / charge controller
  - measure battery voltage
  - USB charging port


## IO
- Input
  - GPIO
    - voltage protection
        - 330R, Z
    - wide voltage range 1.6-24V
    - Low pass filter
    - Optocoupler input
  - ADC
    - external IC
    - multiplexer?
    - protection
    - scale input voltage
      - fixed inputs: 24V 12V 5V 3.3V ?
      - trim potentiometer?
- Output
  - Relay
  - Mosfet
  - Optocoupler output
  - GPIO with over current protection
  - GPIO level shift (24V output)
  - PWM pins
  - shift register
  - DAC

- LEDS indicate I/O state
- Testpoints
- ESD protection


## Bus
- UART/RS485
- RS232 Connector
- I2C Pullup
- SPI
- CAN
- Serial to usb (if Arduino)
- OWB default GPIO4


## UI
- Input
  - Buttons
  - DIP switches?
  - Temperature sensor
  - Encoder
  - Potentiometer
- Output
  - Display
  - Buzzer
  - LEDS


## Mechanical
- Barrel plug (24V 3A supply)
- Screw terminals / spring loaded?
- pin header angled?
- pin header for extension
- pass through all pins?

## Housing
- RPI ports
-  banana sockets for power out 
-  screw terminal exposed
- buttons, leds: need to open up?
-  BNC? []


## Other
- Extension board with multiplexer
- Breadboard compatible?
- SD Card
- Onboard MCU for standalone use?
- separate bought MCU via i2c  for additional GPIO, DAC, ADC in one


## Questions
- what analog input ranges (Voltage, Count)
- RS232  RS485  SPI,  IIC  actually necessary? examples
- CAN to second SPI?
- 8x shift register outputs, 0.5A open drain or 7mA tristate
- 2x PWM 30A enough?
- max used PWM freq? (drop opto if >80khz)